//@import "variables.scss";

///////////////////////////////////


@media (max-width: 1200px) {
  .footer-block__follow_input_email,
  .footer-block__follow_input_submit {
    height: 2.7rem;
  }

  .footer-block__contact_block_content {
    margin-bottom: 7px;
  }

}

@media (max-width: 992px) {
  .footer-block__contact_block {
    padding-bottom: 1.9rem;
  }
}


@media (max-width: 768px) {
  .footer-block .puzzle_block {
    padding-left: 10px;
    padding-right: 10px;
  }
  .footer-block__contact_block {
    padding-bottom: 1.4rem;
  }
  .footer-block__menu_title,
  .footer-block__contact_block_title,
  .footer-block__follow_title,
  .footer-block__social_title,
  .footer-block__payment_title,
  .footer-block__item {
    color: #ffffff;;
    padding-bottom: 13px;
  }
  .copy_text_block__content {
    flex-wrap: wrap;
  }

  .content_item--phone .container_menu_mobile__phone_block {
    text-align: left;
    border: none;

    &::before {
      display: none;
    }
  }
}

@media (max-width: 576px) {
  .footer-block {
    padding-top: 2.3rem;
    text-align: center;

    & .main_btn.button_call.sweep-to-right {
      width: 100%;
    }

    & .puzzle_block {
      padding: 0 1rem 1rem 1rem;
      padding-left: 10px;
      padding-right: 10px;
    }

  }

  .footer-block__menu {
    padding-bottom: 1.2rem;
  }

  .footer-block__item {
    padding-bottom: 1.4rem;
  }

  .footer-block__follow_title,
  .footer-block__social_title,
  .footer-block__payment_title {
    &.fonts__middle_text {
      font-size: 1.05rem;
    }
  }

  .footer-block__follow_input_email,
  .footer-block__follow_input_submit {
    height: 2.9rem;
  }

  .footer-block__follow_input_email {
    max-width: none;
  }
  .footer-block__social_link {
    justify-content: center;
  }
  .footer-block__payment_img {
    justify-content: space-around;
  }

  .footer-block__payment,
  .footer-block__social,
  .footer-block__follow,
  .footer-block__contact_block {
    padding: 2rem 0;
    border-top: 1px solid #6d6d6d;
    margin: 0;
    margin-top: 13px;
  }

  .footer-block__follow {
    padding-bottom: 17px;
    padding-top: 25px;
    .footer-block__follow_title {
      padding-bottom: 24px;
    }
  }

  .footer-block__contact_block {
    padding-top: 1.8rem;
    display: flex;
    flex-wrap: wrap;
  }

  .footer-block__contact_block_title {
    width: 100%;
    padding-bottom: 5px;
  }

  .footer-block__social {
    padding-top: 23px;
    padding-bottom: 16px;

    & .footer-block__social_title {
      margin-bottom: 11px;
    }

    & .footer-block__social_link {
      display: flex;
      justify-content: space-between;
      max-width: 320px;
      margin-left: auto;
      margin-right: auto;
    }

    & .footer-block__social_link_name {
      width: 35px;
      height: 35px;
      margin-right: 0;
      line-height: 2.5rem;
      border-radius: 50%;
    }
  }

  .footer-block__payment {
    padding-bottom: 15px;

    & .footer-block__payment_title {
      padding-bottom: 25px;
    }
  }

  .copy_text_block {
    padding-top: 1px;
    border: none !important;
  }

  .copy_text_block__content {
    padding-top: 24px;
    border-top: 1px solid #6d6d6d;

    & .copy_text_block__item {
      width: 100%;
      font-size: 0.9rem;
    }

    & .copy_text_block-dev {
      padding-bottom: 23px;
      border-bottom: 1px solid #6d6d6d;
    }

    & .copy_text_block-company {
      padding: 30px;
    }
  }

  .copy_text_block__item_img {
    padding-right: 0;
    display: block;
    margin-bottom: 1rem;
  }
  .copy_text_block__item {
    flex-direction: column;
    text-align: center;
    width: 100%;
  }

  .main_element_wrapper a {
  //.footer-link__phone-main,
  //.footer-link__email-main {
    margin-right: 60px;
    padding-left: 45px;

    &:hover::after,
    &:focus::after {
      display: none;
    }
  }

  .footer-link__phone-item,
  .footer-link__email-item {
    padding-left: 45px;
    border-top: 1px solid rgba(128, 128, 128, 0.5);

    &:hover::after,
    &:focus::after {
      display: none;
    }
  }

  .footer-block__item_name_link.fonts__middle_text {
    font-size: 13px;
  }
  .footer-block__item_name_link.fonts__middle_text {
    font-size: 15px;
  }

  .footer-block__contact_block_content {
    width: 100%;
    margin-bottom: 17px;
  }
  .footer-block__contact_block_content_item {
    margin-bottom: -1px;
    line-height: 3rem;

    & .fonts__middle_comment {
      font-size: 13px;
    }
  }

  .footer-block__contact_block_content_item.content_item--point,
  .footer-block__contact_block_content_item.content_item--phone,
  .footer-block__contact_block_content_item.content_item--mail {
    width: 100%;
    padding-bottom: 0;
    text-align: left;
  }

  .footer-block__contact_block_content_item-wrapper {
    min-width: 290px;
    margin-left: auto;
    margin-right: auto;
  }

  .dropdown_list {

    &::after {
      top: 14px;
      right: 17px;
      color: #fb0040;
    }

    &.active .main_element_wrapper {
      background-color: #fb0040;
      border-color: #fb0040;
    }

    &.active::after {
      top: 18px;
      transform: rotate(-135deg);
      color: #fff;
    }

    &.active .footer-link__email-main::before,
    &.active .footer-link__phone-main::before {
      color: #fff;
    }
  }

  .footer-link__phone,
  .footer-link__email {

    .wrapper_items {
      align-items: stretch;
      margin-left: 0;
    }
  }

  .footer-link__phone .main_element_wrapper {
    padding-left: 75px;

    & a {
        margin-left: -75px;
    }
  }

  .footer-link__phone .footer-link__phone-main {
    margin-left: -75px;
  }

}




